Subject: bug#41738: Jupyter propagates two different versions of ipython

From: david larsson <[email-masked]>
Date: Sat, 06 Jun 2020 20:46:13 +0200

On 2020-06-06 20:44, david larsson wrote:
> On 2020-06-06 17:52, paul wrote:
>> Hi Guix,
>> 
>> On Guix System
>> 
>>   guix ecab53c
>>     repository URL: https://git.savannah.gnu.org/git/guix.git
>>     branch: master
>>     commit: ecab53c320b1584a08f811b17a92bd9a50a50ff3
>> 
>> it's impossible to install jupyter in a new profile because it tries
>> to propagate two different versions of python-ipython, you should be
>> able to reproduce with:
>> 
>> $ guix package -p /tmp/tmp-profile -i jupyter
>> The following package will be installed:
>>    jupyter 1.0.0
>> 
>> guix package: error: profile contains conflicting entries for
>> python-ipython
>> guix package: error:   first entry: [email-masked]
>> /gnu/store/z0yarar134q6sziqncjdlfg2h2w5b2yh-python-ipython-7.9.0
>> guix package: error:    ... propagated from [email-masked]
>> guix package: error:    ... propagated from [email-masked]
>> guix package: error:   second entry: [email-masked]
>> /gnu/store/avmg5jd7kccchxadsd9c7zq0p3shlk3w-python-ipython-7.9.0
>> guix package: error:    ... propagated from [email-masked]
>> guix package: error:    ... propagated from [email-masked]
>> hint: You cannot have two different versions or variants of `jupyter'
>> in the same profile.
>> 
>> The conflict seems to be caused because:
>> 
>> - /gnu/store/avmg5jd7kccchxadsd9c7zq0p3shlk3w-python-ipython-7.9.0
>> depends on [email-masked]
>> 
>> - /gnu/store/z0yarar134q6sziqncjdlfg2h2w5b2yh-python-ipython-7.9.0
>> depends on [email-masked]
>> 
>> This change seems to be introduced with
>> 32ba87c14fd5e5b54d95211cd9a159d568ce7c67 , which updates
>> python-prompt-toolkit to 3.0.5 and to prevent python-ipywidgets,
>> python-jupyter-console and python-widgetsnbextension tests from
>> crashing builds them with [email-masked].
>> 
>> Giacomo
> 
> Hi,
> I can confirm this, been having the same issue. I worked around it
> temporarily by changing some python-packages and adding some to a
> temporary channel and guix pulling to the commit just prior to the
> 32ba87c14 that you mention. In case anyone is helped by it; the
> channel is here: https://github.com/methuselah-0/my-guix-packages
> 
> Best regards,
> David

And I just noticed, this is basically a duplicate of bug#41729: jupyter 
cannot be installed

Best regards,
David